Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginListOf

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginListOf

    public class PluginListOf

extends PluginSBase

This class wraps ListOf for the plug-in.

Author:
  mki

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`` | `PluginListOf()` Constructor
`protected` | `PluginListOf(PluginSBase parent)` Constructor

Method Summary
`boolean` | `append(PluginSBase sbase)` Adds a PluginSBase to this PluginListOf
`void` | `clear()` Clears this PluginListOf
`boolean` | `contains(PluginSBase sbase)`
`PluginSBase` | `get(int i)` Gets PluginSBase with the given index from this PluginListOf.
`java.util.ArrayList` | `getArray()`
`int` | `getNumItems()` Deprecated. In libSBML 3, getNumItems has been renamed to size().
`PluginSBase` | `getParentSBase()`
`PluginSBase` | `remove(int i)` Removes PluginSBase with the given index from this PluginListOf.
`boolean` | `remove(PluginSBase sbase)` Removes the PluginSBase from this PluginListOf.
`int` | `size()`
`PluginSBase[]` | `toArray()` Convers this PluginListOf to array The elements in the array refer to the same elements of this PluginListOf

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginListOf

    public PluginListOf()

  Constructor

### PluginListOf

    protected PluginListOf(PluginSBase parent)

  Constructor

  Parameters:
    `parent` -

Method Detail

### getParentSBase

    public PluginSBase getParentSBase()

  Overrides:
    `getParentSBase` in class `PluginSBase`
  Returns:
    the PluginSBase of this PluginListOf

### append

    public boolean append(PluginSBase sbase)

  Adds a PluginSBase to this PluginListOf

  Parameters:
    `sbase` - PluginSBase
  Returns:
    true if the add is success, false otherwise

### get

    public PluginSBase get(int i)

  Gets PluginSBase with the given index from this PluginListOf.

  Parameters:
    `i` - the index of the list
  Returns:
    PluginSBase, of null if there is noting in this PluginListOf.

### remove

    public PluginSBase remove(int i)

  Removes PluginSBase with the given index from this PluginListOf.

  Parameters:
    `i` - the index
  Returns:
    true if the delete is success, of false if the delete is failure.

### remove

    public boolean remove(PluginSBase sbase)

  Removes the PluginSBase from this PluginListOf.

  Parameters:
    `sbase` - PluginSBase removed
  Returns:
    true if remove is success, or false otherwise

### size

    public int size()

  Returns:
    the number of items in this PluginListOf.

### getNumItems

    public int getNumItems()

  Deprecated. In libSBML 3, getNumItems has been renamed to size().

  Returns:
    the number of items in this PluginListOf.

### toArray

    public PluginSBase[] toArray()

  Convers this PluginListOf to array The elements in the array refer to the same elements of this PluginListOf

  Returns:
    the converted array

### contains

    public boolean contains(PluginSBase sbase)

  Parameters:
    `sbase` - PluginSBase
  Returns:
    true if this PluginListOf contains the given PluginSBase, false otherwise.

### clear

    public void clear()

  Clears this PluginListOf

### getArray

    public java.util.ArrayList getArray()

  Returns:
    ArrayList of PluginSBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD